Subject: Re: Apparent regression on font-lock-compile-keywords

From: Chong Yidong <[email-masked]>
Date: Wed, 11 Mar 2009 20:10:47 -0400

> I recently upgraded from Emacs 22 to Emacs 23 (W32 on Windows XP).
> I have been using emacs-wiki and groovy-mode and not both fail with a
> similar error pointing to this:
> font-lock-set-defaults: Wrong type argument: symbolp, (quote
> beginning-of-line)
>
> It works on the second time or after turning font-lock on and off, and
> then fails again next time I try to use it.
>
> If I enable debug-on-error I get:
>
> Debugger entered--Lisp error: (wrong-type-argument symbolp (quote
> beginning-of-line))
>   font-lock-compile-keywords(nil)

I can't reproduce this with either emacs-wiki or groovy-mode.  From
Googling around, I see that some packages had bugs that led to such an
error.  It's not a bug in Emacs itself, I think.  Could you try
upgrading to more recent versions of these packages and see if the
problem persists?